Project

General

Profile

action #113743

[security] test fails in sssd_openldap_functional

Added by msmeissn 2 months ago. Updated 2 months ago.

Status:
Resolved
Priority:
Urgent
Assignee:
Category:
Bugs in existing tests
Target version:
-
Start date:
2022-07-18
Due date:
% Done:

0%

Estimated time:
Difficulty:

Description

Observation

openQA test in scenario sle-15-SP4-Server-DVD-Updates-x86_64-sssd_openldap_functional@64bit fails in
sssd_openldap_functional

Test suite description

Testsuite maintained at https://gitlab.suse.de/qa-maintenance/qam-openqa-yml. Maintainer: QE Security
Hi,

The testcase hardcodes suse/sle:15.3 image, but tries then to install SP4 updates on it.

This fails in the openldap2 case, as openldap2 is in the legacy module in SP3, but not in the legacy module on sp4.

It probably should not hardcode 15.3, but select either 15.3 or 15.4 depending on tested service pack?

Reproducible

Fails since (at least) Build 20220714-1

Expected result

Last good: 20220712-1 (or more recent)

Further details

Always latest result in this scenario: latest


Related issues

Related to openQA Tests - action #113692: [security] test fails in sssd_openldap_functional - docker build failedResolved2022-07-18

History

#1 Updated by maritawerner 2 months ago

  • Subject changed from test fails in sssd_openldap_functional to [security] test fails in sssd_openldap_functional

#2 Updated by punkioudi 2 months ago

  • Status changed from New to In Progress
  • Assignee set to punkioudi

#3 Updated by punkioudi 2 months ago

  • Related to action #113692: [security] test fails in sssd_openldap_functional - docker build failed added

#4 Updated by punkioudi 2 months ago

  • Status changed from In Progress to Feedback

I cannot find openldap2 in SLE15-SP4 packages: https://scc.suse.com/packages?name=SUSE%20Linux%20Enterprise%20Server&version=15.4&arch=x86_64&query=openldap&module= . That's what I also get in the test, even if I change the container image to the latest one for 15.sp4, that the package is not found.
Am I missing anything?

#5 Updated by msmeissn 2 months ago

that openldap2 is missing is intended and wanted. (see https://jira.suse.com/browse/SLE-16553 via slack)

This also exposes this testcase bug.

#6 Updated by punkioudi 2 months ago

After having this information, we decided to drop the test sssd_openldap_functional from SLES 15-SP4.
MR: https://gitlab.suse.de/qa-maintenance/qam-openqa-yml/-/merge_requests/324

#7 Updated by punkioudi 2 months ago

  • Status changed from Feedback to Resolved

Also available in: Atom PDF